# BottomEdgeStyle QML Type

Style API for BottomEdge content holder panel. More...

Import Statement: | import Lomiri.Components.Styles 1.3
Since: | Lomiri.Components.Styles 1.3

- List of all members, including inherited members

## Properties

- contentItem : Item
- panel : Item
- panelAnimation : Animation
- revealThreshold : real

## Detailed Description

## Property Documentation

contentItem : Item

Holds the current content item created from BottomEdge::contentUrl or BottomEdge::contentComponent.

panel : Item

Represents the item holding the bottom edge content.

panelAnimation : Animation

Holds the animation of the panel. BottomEdge requires this property to know when the bottom edge is fully committed or collapsed.

revealThreshold : real

Holds the style configured value which drives when the bottom edge content should be exposed.